org.restlet.engine.component

## Class ChildClientDispatcher

- java.lang.Object
- - org.restlet.Restlet
  - - org.restlet.Connector
    - - org.restlet.Client
      - - org.restlet.engine.TemplateDispatcher
        - - org.restlet.engine.component.ChildClientDispatcher

All Implemented Interfaces:
  Uniform

    public class ChildClientDispatcher
    extends TemplateDispatcher

Client dispatcher for a component child. Concurrency note: instances of this class or its subclasses can be invoked by several threads at the same time and therefore must be thread-safe. You should be especially careful when storing state as member variables.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`ChildClientDispatcher(ChildContext childContext)` Constructor.

### Method Summary

Methods
`void` `doHandle(Request request, Response response)` Transmits the call to the parent component except if the call is internal as denoted by the `Protocol.RIAP` protocol and targets this child application.

### Methods inherited from class org.restlet.engine.TemplateDispatcher

`getContext, handle, setContext`

### Methods inherited from class org.restlet.Client

`getConnectTimeout, handle, handle, handle, isAvailable, setConnectTimeout, start, stop`

### Methods inherited from class org.restlet.Connector

`getProtocols, setProtocols`

### Methods inherited from class org.restlet.Restlet

`finalize, getApplication, getAuthor, getDescription, getLogger, getName, getOwner, isStarted, isStopped, setAuthor, setDescription, setName, setOwner`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChildClientDispatcher

    public ChildClientDispatcher(ChildContext childContext)

Constructor.

Parameters:
  `childContext` - The child context.

### Method Detail

#### doHandle

    public void doHandle(Request request,
                Response response)

Transmits the call to the parent component except if the call is internal as denoted by the `Protocol.RIAP` protocol and targets this child application.

Overrides:
  `doHandle` in class `TemplateDispatcher`
Parameters:
  `request` - The request to handle.
  `response` - The response to update.